The gta02 build is missing <mach/regs-gpio.h> and is also using the
incorrect <asm/io.h> header (it should be <linux/io.h>). Fix these
two problems.

Signed-off-by: Ben Dooks <ben@simtec.co.uk>
Signed-off-by: Simtec Linux Team <linux@simtec.co.uk>

---
 sound/soc/s3c24xx/neo1973_gta02_wm8753.c |    4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

Index: b/sound/soc/s3c24xx/neo1973_gta02_wm8753.c
===================================================================
--- a/sound/soc/s3c24xx/neo1973_gta02_wm8753.c	2009-10-10 22:55:53.000000000 +0100
+++ b/sound/soc/s3c24xx/neo1973_gta02_wm8753.c	2009-10-10 22:58:31.000000000 +0100
@@ -19,6 +19,8 @@
 #include <linux/interrupt.h>
 #include <linux/platform_device.h>
 #include <linux/gpio.h>
+#include <linux/io.h>
+
 #include <sound/core.h>
 #include <sound/pcm.h>
 #include <sound/soc.h>
@@ -29,7 +31,7 @@
 #include <plat/regs-iis.h>
 
 #include <mach/regs-clock.h>
-#include <asm/io.h>
+#include <mach/regs-gpioj.h>
 #include <mach/gta02.h>
 #include "../codecs/wm8753.h"
 #include "s3c24xx-pcm.h"

-- 
Ben (ben@fluff.org, http://www.fluff.org/)

  'a smiley only costs 4 bytes'
